Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package tasty
  Definition Classes
    tools
-  object TastyName extends java.io.Serializable
  Definition Classes
    tasty
- DebugEncoder
- DefaultName
- NameEncoder
- ObjectName
- PrefixName
- QualifiedName
- ScalaNameEncoder
- SignedName
- SimpleName
- SourceEncoder
- StringBuilderEncoder
- SuffixName
- TypeName
- UniqueName
- WildcardName

c

scala.tools.tasty.TastyName

# DefaultName

###

#### final case class DefaultName(qual: TastyName, num: Int) extends TastyName with Product with Serializable

Source
  TastyName.scala

Linear Supertypes
TastyName, java.io.Serializable, Product, Equals, AnyRef, Any
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. DefaultName
2. TastyName
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new DefaultName(qual: TastyName, num: Int)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from DefaultName toany2stringadd[DefaultName] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (DefaultName, B)
   Implicit
     This member is added by an implicit conversion from DefaultName toArrowAssoc[DefaultName] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  final def asSimpleName: SimpleName
   Definition Classes
     TastyName
8.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
9.  final def debug: String

   Debug information about the structure of the name.

   Debug information about the structure of the name.

   Definition Classes
     TastyName
10.  final def encoded: String

    The name as as expected by the Scala Reflect SymbolTable

    The name as as expected by the Scala Reflect SymbolTable

    Definition Classes
      TastyName
11.  def ensuring(cond: (DefaultName) => Boolean, msg: => Any): DefaultName
    Implicit
      This member is added by an implicit conversion from DefaultName toEnsuring[DefaultName] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: (DefaultName) => Boolean): DefaultName
    Implicit
      This member is added by an implicit conversion from DefaultName toEnsuring[DefaultName] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  def ensuring(cond: Boolean, msg: => Any): DefaultName
    Implicit
      This member is added by an implicit conversion from DefaultName toEnsuring[DefaultName] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  def ensuring(cond: Boolean): DefaultName
    Implicit
      This member is added by an implicit conversion from DefaultName toEnsuring[DefaultName] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
15.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
17.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from DefaultName toStringFormat[DefaultName] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
18.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
19.  final def isConstructorName: Boolean
    Definition Classes
      TastyName
20.  final def isDefaultName: Boolean
    Definition Classes
      TastyName
21.  final def isEmpty: Boolean
    Definition Classes
      TastyName
22.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
23.  final def isObjectName: Boolean
    Definition Classes
      TastyName
24.  final def isSignedConstructor: Boolean
    Definition Classes
      TastyName
25.  final def isTermName: Boolean
    Definition Classes
      TastyName
26.  final def isTypeName: Boolean
    Definition Classes
      TastyName
27.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
28.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
29.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
30.  val num: Int
31.  def productElementNames: Iterator[String]
    Definition Classes
      Product
32.  val qual: TastyName
33.  final def source: String

    The name as represented in source code

    The name as represented in source code

    Definition Classes
      TastyName
34.  final def stripSignedPart: TastyName
    Definition Classes
      TastyName
35.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
36.  final def toString(): String
    Definition Classes
      TastyName → AnyRef → Any
37.  final def toTermName: TastyName
    Definition Classes
      TastyName
38.  final def toTypeName: TypeName
    Definition Classes
      TastyName
39.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
40.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
41.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Deprecated Value Members

1.  def →[B](y: B): (DefaultName, B)
   Implicit
     This member is added by an implicit conversion from DefaultName toArrowAssoc[DefaultName] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from TastyName

### Inherited from java.io.Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromDefaultName to any2stringadd[DefaultName]

### Inherited by implicit conversion StringFormat fromDefaultName to StringFormat[DefaultName]

### Inherited by implicit conversion Ensuring fromDefaultName to Ensuring[DefaultName]

### Inherited by implicit conversion ArrowAssoc fromDefaultName to ArrowAssoc[DefaultName]

### Ungrouped